org.red5.server.api.stream

## Interface IClientBroadcastStream

All Superinterfaces:
  IBroadcastStream, IClientStream, IStream

All Known Implementing Classes:
  ClientBroadcastStream

    public interface IClientBroadcastStream
    extends IClientStream, IBroadcastStream

A broadcast stream that comes from client.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com), Paul Gregoire (mondain@gmail.com)

### Field Summary

### Fields inherited from interface org.red5.server.api.stream.IClientStream

`MODE_APPEND, MODE_LIVE, MODE_PUBLISH, MODE_READ, MODE_RECORD`

### Method Summary

Methods
`Map<String,String>` `getParameters()` Returns streaming parameters.
`IClientBroadcastStreamStatistics` `getStatistics()` Return statistics about the stream.
`void` `setParameters(Map<String,String> params)` Sets streaming parameters as supplied by the publishing application.
`void` `startPublishing()` Notify client that stream is ready for publishing.

### Methods inherited from interface org.red5.server.api.stream.IClientStream

`getBroadcastStreamPublishName, getClientBufferDuration, getConnection, getStreamId, setClientBufferDuration`

### Methods inherited from interface org.red5.server.api.stream.IBroadcastStream

`addStreamListener, getMetaData, getProvider, getPublishedName, getSaveFilename, getStreamListeners, removeStreamListener, saveAs, setPublishedName`

### Methods inherited from interface org.red5.server.api.stream.IStream

`close, getCodecInfo, getCreationTime, getName, getScope, start, stop`

### Method Detail

#### startPublishing

    void startPublishing()

Notify client that stream is ready for publishing.

#### getStatistics

    IClientBroadcastStreamStatistics getStatistics()

Return statistics about the stream.

Returns:
  statistics

#### setParameters

    void setParameters(Map<String,String> params)

Sets streaming parameters as supplied by the publishing application.

Parameters:
  `params` -

#### getParameters

    Map<String,String> getParameters()

Returns streaming parameters.

Returns:
  parameters